| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IHistorySvc Class Reference

`#include <GaudiKernel/IHistorySvc.h>`

Inheritance diagram for IHistorySvc:

[legend]
Collaboration diagram for IHistorySvc:

[legend]
List of all members.

## Detailed Description

Definition of the IHistorySvc interface class.

Author:
  Charles Leggett

Definition at line 34 of file IHistorySvc.h.

## Public Member Functions
virtual StatusCode | registerJob ()=0
virtual StatusCode | listProperties () const=0
virtual JobHistory * | getJobHistory () const=0
virtual StatusCode | registerSvc (const IService &)=0
virtual StatusCode | listProperties (const IService &) const =0
virtual ServiceHistory * | getServiceHistory (const IService &) const =0
virtual void | getServiceHistory (std::set< ServiceHistory * > &) const =0
virtual StatusCode | registerAlg (const Algorithm &)=0
virtual StatusCode | listProperties (const Algorithm &) const =0
virtual AlgorithmHistory * | getAlgHistory (const Algorithm &) const =0
virtual void | getAlgHistory (std::set< AlgorithmHistory * > &) const =0
virtual StatusCode | registerAlgTool (const IAlgTool &)=0
virtual StatusCode | listProperties (const IAlgTool &) const =0
virtual AlgToolHistory * | getAlgToolHistory (const IAlgTool &) const =0
virtual void | getAlgToolHistory (std::set< AlgToolHistory * > &) const =0
virtual DataHistory * | createDataHistoryObj (const CLID &id, const std::string &key, const std::string &storeName)=0
virtual DataHistory * | getDataHistory (const CLID &id, const std::string &key, const std::string &storeName) const=0
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

const InterfaceID & IHistorySvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IService.

Definition at line 79 of file IHistorySvc.h.

Referenced by HistorySvc::queryInterface().

    00079                          {
    00080     static const InterfaceID m_IID("HistorySvc", 1, 0);
    00081     return m_IID;
    00082 }

virtual StatusCode IHistorySvc::registerJob | ( |  | ) | `[pure virtual]`

Implemented in HistorySvc.

virtual StatusCode IHistorySvc::listProperties | ( |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual JobHistory* IHistorySvc::getJobHistory | ( |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual StatusCode IHistorySvc::registerSvc | ( | const IService & |  | ) | `[pure virtual]`

Implemented in HistorySvc.

virtual StatusCode IHistorySvc::listProperties | ( | const IService & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual ServiceHistory* IHistorySvc::getServiceHistory | ( | const IService & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual void IHistorySvc::getServiceHistory | ( | std::set< ServiceHistory * > & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual StatusCode IHistorySvc::registerAlg | ( | const Algorithm & |  | ) | `[pure virtual]`

Implemented in HistorySvc.

virtual StatusCode IHistorySvc::listProperties | ( | const Algorithm & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual AlgorithmHistory* IHistorySvc::getAlgHistory | ( | const Algorithm & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual void IHistorySvc::getAlgHistory | ( | std::set< AlgorithmHistory * > & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual StatusCode IHistorySvc::registerAlgTool | ( | const IAlgTool & |  | ) | `[pure virtual]`

Implemented in HistorySvc.

Referenced by ToolSvc::create().

virtual StatusCode IHistorySvc::listProperties | ( | const IAlgTool & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual AlgToolHistory* IHistorySvc::getAlgToolHistory | ( | const IAlgTool & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual void IHistorySvc::getAlgToolHistory | ( | std::set< AlgToolHistory * > & |  | ) | const`[pure virtual]`

Implemented in HistorySvc.

virtual DataHistory* IHistorySvc::createDataHistoryObj | ( | const CLID & | id,
|  | const std::string & | key,
|  | const std::string & | storeName |
| ) |  |  | `[pure virtual]`

Implemented in HistorySvc.

virtual DataHistory* IHistorySvc::getDataHistory | ( | const CLID & | id,
|  | const std::string & | key,
|  | const std::string & | storeName |
| ) |  |  | const`[pure virtual]`

Implemented in HistorySvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IHistorySvc.h